Package: groovy.swing.factory

## [Groovy] Class BeanFactory

- groovy.swing.factory.BeanFactory

- Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `leaf` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BeanFactory (Class beanClass)`
    `BeanFactory (Class beanClass, boolean leaf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final boolean leaf

  - ### Property Detail

    - #### final Class beanClass

  - ### Constructor Detail

    - #### BeanFactory(Class beanClass)

    - #### BeanFactory(Class beanClass, boolean leaf)

  - ### Method Detail

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)